## GimpColorProfileStore GimpColorProfileStore — A GtkListStore subclass that keep color profiles. |

## Functions

GtkListStore * | gimp_color_profile_store_new ()
void | gimp_color_profile_store_add ()

## Properties

gchar * | history | Read / Write / Construct Only

## Types and Values

| GimpColorProfileStore

## Object Hierarchy

        GObject
        ╰── GtkListStore
            ╰── GimpColorProfileStore

## Implemented Interfaces

GimpColorProfileStore implements GtkTreeModel, GtkTreeDragSource, GtkTreeDragDest, GtkTreeSortable and GtkBuildable.

## Description

A GtkListStore subclass that keep color profiles.

## Functions

### gimp_color_profile_store_new ()

    GtkListStore *
    gimp_color_profile_store_new (const gchar *history);

Creates a new GimpColorProfileStore object and populates it with last used profiles read from the file `history` . The updated history is written back to disk when the store is disposed.

The filename passed as `history` is typically created using the following code snippet:

    1
    gchar *history = gimp_personal_rc_file ("profilerc");

#### Parameters

history | filename of the profilerc (or `NULL` for no history) |

#### Returns

a new GimpColorProfileStore

Since: GIMP 2.4

### gimp_color_profile_store_add ()

    void
    gimp_color_profile_store_add (GimpColorProfileStore *store,
                                  const gchar *filename,
                                  const gchar *label);

Adds a color profile item to the GimpColorProfileStore. Items added with this function will be kept at the top, separated from the history of last used color profiles.

This function is often used to add a selectable item for the `NULL` filename. If you pass `NULL` for both `filename` and `label` , the `label` will be set to the string "None" for you (and translated for the user).

#### Parameters

store | a GimpColorProfileStore |
filename | filename of the profile to add (or `NULL`) |
label | label to use for the profile (may only be `NULL` if `filename` is `NULL`) |

Since: GIMP 2.4

## Types and Values

### GimpColorProfileStore

    typedef struct _GimpColorProfileStore GimpColorProfileStore;

## Property Details

### The `“history”` property

      “history”                  gchar *

Filename of the color history used to populate the profile store.

Flags: Read / Write / Construct Only

Default value: NULL

Since: GIMP 2.4